Get category drift report
GET /api/v1/programmatic/reports/category-drift
/api/v1/programmatic/reports/category-driftReturns material category spending changes over time.
Parameters
| Name | In | Type | Description |
|---|---|---|---|
month | query | stringOptional | Final report month. Defaults to the current month in the workspace timezone. 2026-07 |
range | query | recent | fullOptional | `full` is clamped to the history window allowed by the plan. recent |
period | query | 6m | 12mOptional | Deprecated compatibility alias. Use `range`. 6m |
Code examples
curl --request GET \
--url 'https://api.tetri.app/api/v1/programmatic/reports/category-drift?month=2026-07&range=recent&period=6m' \
--header 'Authorization: Bearer $TETRI_API_TOKEN'Responses
{
"data": {
"type": "category_drift",
"id": "<string>",
"attributes": {
"analysis_period_end": "2026-07-12",
"analysis_period_start": "2026-07-12",
"period": "<string>",
"currency_code": "<string>",
"currency_symbol": "<string>",
"categories": [
{
"category_id": "<string>",
"name": "<string>",
"icon_name": "<string>",
"accent_color": "<string>",
"monthly_shares": [
{
"month": "<string>",
"share": "<string>"
}
],
"change_pp": "<string>",
"direction": "growing"
}
],
"fx_partial": false,
"missing_fx_count": 0
},
"window": {
"applied_months": 0,
"earliest_visible_date": "2026-07-12",
"plan": "free",
"requested_range": "recent",
"truncated_by_plan": false
}
}
}{
"statusCode": 400,
"code": "PROGRAMMATIC_PAGINATION_MODE_CONFLICT",
"message": "<string>",
"error": "Bad Request",
"request_id": "8cf64dcc-0f73-4f8d-a845-3d80c1040475"
}{
"statusCode": 400,
"code": "PROGRAMMATIC_PAGINATION_MODE_CONFLICT",
"message": "<string>",
"error": "Bad Request",
"request_id": "8cf64dcc-0f73-4f8d-a845-3d80c1040475"
}{
"statusCode": 400,
"code": "PROGRAMMATIC_PAGINATION_MODE_CONFLICT",
"message": "<string>",
"error": "Bad Request",
"request_id": "8cf64dcc-0f73-4f8d-a845-3d80c1040475"
}{
"statusCode": 400,
"code": "PROGRAMMATIC_PAGINATION_MODE_CONFLICT",
"message": "<string>",
"error": "Bad Request",
"request_id": "8cf64dcc-0f73-4f8d-a845-3d80c1040475"
}